#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityTimeShopCFGData
{
	//编号
	int mID;
	//物品ID
	std::vector<int> mItemIDs;
	//物品数量
	std::vector<int> mItemCounts;
	//权重
	int mweight;
};

class M_ActivityTimeShopCFG
{
public:
private:
	static std::auto_ptr<M_ActivityTimeShopCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityTimeShopCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivityTimeShopCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityTimeShopCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityTimeShopCFGData> mMapData;
};
